// Copyright (c) 2001 Hursh Jain (http://www.mollypages.org) 
// The Molly framework is freely distributable under the terms of an
// MIT-style license. For details, see the molly pages web site at:
// http://www.mollypages.org/. Use, modify, have fun !

package fc.web.forms;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;
import java.util.regex.*;

/**
Refreshes the initial value of a field at some periodic interval. This is
useful when database updates must be shown to the user every so often.
Subclasses should implement the <tt>run</tt> method appropriately. The run
method does not take any parameters which is fine since this is a
background task and updates are independent of the per user {@link
FormData} and HttpServletRequest objects.
*/
public abstract class TimedRefresher extends java.util.TimerTask
{
}
